# Performance test data

VMWare running ArchLinux on MacBook Pro, 4-core Intel(R) Core(TM) i7-1068NG7
CPU @ 2.30GHz, 8Gb RAM, SSD

Decode
LoC Children's Subjects SKOS/RDF
[NT](https://id.loc.gov/download/authorities/childrensSubjects.skosrdf.nt.gz)
and
[TTL](https://id.loc.gov/download/authorities/childrensSubjects.skosrdf.ttl.gz)
(379,163 triples):

NT format: 19s
TTL format: 25s

Decode LoC Subject Headings (10,116,071 triples)

NT: 8'33"
TTL: 11'4"

TTL takes 29%-31% longer than NT.

Script (replace `<file path>` and `<format>` accordingly):

```
from lsup_rdf import env_init
from lsup_rdf.graph import Graph

env_init()
with open("<file path>") as fh:
    gr = Graph.from_rdf(fh, "<format>")
```
